rp.widget.dispose {rpanel} | R Documentation

## Removes a widget

### Description

This will dispose/remove a widget from a panel.

### Usage

    rp.widget.dispose(panel, name)

### Arguments

`panel` | the panel on which the text should disappear.
`name` | the name assigned to the widget on creation.

### Details

This will dispose of a widget and its memory usage.

### References

rpanel: Simple interactive controls for R functions using the tcltk package. Journal of Statistical Software, 17, issue 9.

### See Also

`rp.control`

### Examples

    ## Not run:
     p1 <- rp.control()
     rp.button(p1, I, "press me", name="b1")
     rp.widget.dispose(p1, "b1")

    ## End(Not run)

[Package rpanel version 1.1-4 Index]